From 812b4565d23aea4653fe0f9aa693c3415a8ead32 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Feb 17 2023 16:27:23 +0000
Subject: f38: update for branching


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 988efbe..813b9c5 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -11,7 +11,7 @@ ostree_installer_overwrite = True
 comps_file = {
     'scm': 'git',
     'repo': 'https://pagure.io/fedora-comps.git',
-    'branch': 'main',
+    'branch': 'f38',
     'file': 'comps-f38.xml',
     'command': 'make comps-f38.xml'
 }
@@ -204,7 +204,7 @@ translate_paths = [
 ]
 
 # These will be inherited by live_media, live_images and image_build
-global_ksurl = 'git+https://pagure.io/fedora-kickstarts.git?#HEAD'
+global_ksurl = 'git+https://pagure.io/fedora-kickstarts.git?#origin/f38'
 global_release = '!RELEASE_FROM_LABEL_DATE_TYPE_RESPIN'
 global_version = '38'
 # live_images ignores this in favor of live_target
@@ -219,9 +219,9 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/rawhide/$arch/iot",
+        "ostree_ref": "fedora/devel/$arch/iot",
         "subvariant": "IoT",
       },
       {
@@ -231,9 +231,9 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/rawhide/$arch/iot",
+        "ostree_ref": "fedora/devel/$arch/iot",
         "subvariant": "IoT",
       },
  ],
@@ -246,14 +246,14 @@ ostree = [
             "force_new_commit": True,
             "treefile": "fedora-iot.json",
             "config_url": "https://pagure.io/fedora-iot/ostree.git",
-            "config_branch": "main",
+            "config_branch": "f38",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/rawhide/${basearch}/iot",
+            "ostree_ref": "fedora/devel/${basearch}/iot",
             "update_summary": True,
         },
         "x86_64": {
@@ -261,14 +261,14 @@ ostree = [
             "force_new_commit": True,
             "treefile": "fedora-iot.json",
             "config_url": "https://pagure.io/fedora-iot/ostree.git",
-            "config_branch": "main",
+            "config_branch": "f38",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/rawhide/${basearch}/iot",
+            "ostree_ref": "fedora/devel/${basearch}/iot",
             "update_summary": True,
         }
     })
@@ -279,7 +279,7 @@ ostree_installer = [
         "aarch64": {
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$arch/os/"
             ],
             "release": None,
             "rootfs_size": "4",
@@ -291,16 +291,16 @@ ostree_installer = [
                 "ostree_osname=fedora-iot",
                 "ostree_oskey=fedora-38-primary",
                 "ostree_contenturl=mirrorlist=https://ostree.fedoraproject.org/iot/mirrorlist",
-                "ostree_install_ref=fedora/rawhide/aarch64/iot",
-                "ostree_update_ref=fedora/rawhide/aarch64/iot",
+                "ostree_install_ref=fedora/devel/aarch64/iot",
+                "ostree_update_ref=fedora/devel/aarch64/iot",
             ],
             'template_repo': 'https://pagure.io/fedora-lorax-templates.git',
-            'template_branch': 'main',
+            'template_branch': 'f38',
         },
         "x86_64": {
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-38/compose/Everything/$arch/os/"
             ],
             "release": None,
             "rootfs_size": "4",
@@ -312,11 +312,11 @@ ostree_installer = [
                 "ostree_osname=fedora-iot",
                 "ostree_oskey=fedora-38-primary",
                 "ostree_contenturl=mirrorlist=https://ostree.fedoraproject.org/iot/mirrorlist",
-                "ostree_install_ref=fedora/rawhide/x86_64/iot",
-                "ostree_update_ref=fedora/rawhide/x86_64/iot",
+                "ostree_install_ref=fedora/devel/x86_64/iot",
+                "ostree_update_ref=fedora/devel/x86_64/iot",
             ],
             'template_repo': 'https://pagure.io/fedora-lorax-templates.git',
-            'template_branch': 'main',
+            'template_branch': 'f38',
         }
     })
 ]
diff --git a/twoweek-nightly.sh b/twoweek-nightly.sh
index 609b185..0200c45 100755
--- a/twoweek-nightly.sh
+++ b/twoweek-nightly.sh
@@ -18,7 +18,7 @@ TMPDIR=`mktemp -d /tmp/$RELEASE.$DATE.XXXX`
 TOMAIL="iot@lists.fedoraproject.org"
 FROM="Fedora IoT Report <rawhide@fedoraproject.org>"
 RSYNCPREFIX="sudo -u ftpsync"
-RSYNCTARGET="/pub/alt/iot/rawhide/"
+RSYNCTARGET="/pub/alt/iot/branched/"
 OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-$SHORT-$RELEASE_TITLE/COMPOSE_ID)
 
 # assume a releng dir is a git checkout of the releng repo

